import axios from '@/common/services/axios-instance'

class KpiDuPontAnalysisService {
  // 获取德邦分析数据
  fnLoadData(data) {
    return axios({
      url: 'api/xcoa-mobile/v1/kpiindimonitor/getDBIndiVal?indiId=' + data.indiId,
      method: 'post',
    }).then((res) => {
      return res.data
    })
  }

  // 获取指标监测数据
  getFormData(id) {
    return axios({
      url: `api/framework/v1/page/wp/kpi/def/definition/kpiIndiDef?id=${id}`,
      method: 'get',
    }).then((res) => {
      return res.data
    })
  }
}

export default new KpiDuPontAnalysisService()
